import 'package:fisjsonrpc/client_base.dart';

/// 平台服务
class PlatformService extends JsonRpcClientBase {
  PlatformService(
    String host, {
    String serviceName = "IPlatformService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        );

  /// 加载主题
  Future<bool> loadTheme(String name) async {
    var rpcRst = await call("loadTheme", name);
    return rpcRst == true;
  }

  /// 保存配置
  ///
  /// [moduleName] 模块名
  ///
  /// [jsonText] json文本
  Future<bool> saveConfig(String moduleName, String jsonText) async {
    var rpcRst = await call("SaveConfig", [moduleName, jsonText]);
    return rpcRst;
  }

  /// 获取配置
  ///
  /// [moduleName] 模块名
  Future<String?> getConfig(String moduleName) async {
    var rpcRst = await call("GetConfig", moduleName);
    return rpcRst;
  }
}
