import 'dart:core';

import 'package:fiscommon/json_convert.dart';
import 'package:fisjsonrpc/base_model.dart';
import 'package:fisjsonrpc/client_base.dart';

import 'remedical.m.dart';

/// 诊断服务
class RemedicalService extends JsonRpcClientBase {
  RemedicalService(
    String host, {
    String serviceName = "IRemedicalService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        ) {
    /// 注册响应实体反序列化处理器
    FJsonConvert.setDecoder((map) => RemedicalModel.fromJson(map));
    FJsonConvert.setDecoder((map) => PagedData<RemedicalModel>.fromJson(map));
  }

  /// 获取诊断分页列表
  Future<PagedData<RemedicalModel>> getRemedicalPageAsync(
      RemedicalQueryRequest request) async {
    var rpcRst = await call("GetRemedicalPageAsync", request);
    var result =
        PagedData<RemedicalModel>.fromJson(rpcRst as Map<String, dynamic>);
    return result;
  }
}
