import 'dart:core';

import 'package:fiscommon/json_convert.dart';
import 'package:fisjsonrpc/base_model.dart';
import 'package:fisjsonrpc/client_base.dart';

import 'user.m.dart';

/// 用户服务
class UserService extends JsonRpcClientBase {
  UserService(
    String host, {
    String serviceName = "IUserService",
    Map<String, String>? headers,
    int? timeout,
  }) : super(
          host,
          serviceName,
          headers: headers,
          timeout: timeout,
        ) {
    /// 注册响应实体反序列化处理器
  }

  /// 获取用户信息
  Future<UserInfo> getUserInfoAsync(String userCode, String sessionId) async {
    var rpcRst = await call("GetUserInfoAsync", [userCode, sessionId]);
    var result = UserInfo.fromJson(rpcRst as Map<String, dynamic>);
    return result;
  }
}
